
Redmine - Defect #7618

SCM diffs do not handle one line new files properly

2011-02-14 02:36 - Toshi MARUYAMA

Status: Closed Start date: 2011-02-14

Priority: Normal Due date:  

Assignee: Toshi MARUYAMA % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 1.2.0   

Resolution: Fixed Affected version: 1.1.1

Description

I separate #7615 for SCM common issue.

These are Redmine 1.1 Mercurial test repository images.

I separate SCM common patch from cvs-diff-r4820-trunk.diff and attach it.
https://www.redmine.org/issues/7615
http://www.redmine.org/attachments/5376/cvs-diff-r4820-trunk.diff


Related issues:

Related to Redmine - Defect #7615: CVS diffs do not handle new files properly Closed 2011-02-12

Associated revisions

Revision 4929 - 2011-02-23 08:03 - Toshi MARUYAMA

scm: fix diffs do not handle one line new files properly (#7618).

History

#1 - 2011-02-23 08:06 - Toshi MARUYAMA

- Status changed from New to Closed

- Target version set to 1.2.0

- Resolution set to Fixed

Fixed by r4929.

Files

unified_diff.rb.diff 573 Bytes 2011-02-14 Toshi MARUYAMA

before.png 42.8 KB 2011-02-14 Toshi MARUYAMA

after.png 38.1 KB 2011-02-14 Toshi MARUYAMA
